# Create Video Task (Old, Deprecated)

> Deprecated Seedance 2.0 create video task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/seedance-2-0/legacy-create-task
Locale: en

## Overview

| input form | actual capability |
|---|---|
| only `prompt`|`text-to-video` |
| only pass `image`|`image-to-video` |
| pass both `image` and `last_image`|`first-and-last-frame` |
| pass `images`/`videos`/`audios` any one or combination |`omni-reference mode` |

## Endpoint


```http
POST /v1/video/generations
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model` | string | Yes | Model name | jisudance2.0-480p, jisudance2.0-720p, jisudance2.0-fast-480p, jisudance2.0-fast-720p |
| `prompt`| string | Yes | prompt | only `prompt` -&gt; text-to-video |
| `image` | string | Yes | single source image | image-to-video |
| `last_image` | string | Yes | | first-and-last-frameandimage use |
| `images` | string | Yes | reference URL array | reference, 'omni-reference mode', imageup to9 |
| `audios` | string | Yes | reference audio URL array | omni-reference mode, up to 3, each 2~15s, &lt;= 15s |
| `videos` | string | Yes | reference video URL array | omni-reference mode, up to 3, each 2~15s, &lt;= 15s |
| `duration` | string | Yes | duration | 5 15 value |
| `aspect_ratio`| string | Yes | Ratio |`9:16`, `1:1`, `16:9` |
| `extra_body` | object | No | | |

## Request Examples

### test

```json
{
  "model": "jisudance2.0-480p",
  "prompt": " ",
  "duration": 5,
  "aspect_ratio": "9:16"
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "jisudance2.0-480p",
 "prompt": " ",
 "duration": 5,
 "aspect_ratio": "9:16"}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Example 1

```json
{
  "id": "task_xxx",
  "error": null,
  "model": "jisudance2.0-720p",
  "object": "video.generation.job",
  "result": {
    "outputs": [
      "https://xxx.aijisu.cn/video/xxxx.mp4"
    ],
    "video_url": "https://xxx.aijisu.cn/video/xxx.mp4"
  },
  "status": "completed",
  "task_id": "task_xxxxx",
  "progress": 100,
  "video_url": "https://xxx.aijisu.cn/video/xxx.mp4",
  "created_at": 1774405050,
  "raw_status": "COMPLETED"
}
```
